Page MenuHomePhabricator

PAWS down?
Closed, ResolvedPublic

Description

Trying to run https://paws.wmflabs.org/paws/user/Mike_Peel/notebooks/Query%20for%20Wikidata%20Infobox.ipynb, from this morning I now get "InternalError: (1105, '(proxy) all backends are down')"

Event Timeline

Mike_Peel created this task.Apr 1 2020, 7:39 PM

This is my first day with PAWS so I am not sure what I am doing. I tried to log in according to https://www.mediawiki.org/wiki/Manual:Pywikibot/PAWS but the only stuff I get is this:

Xiplus added a subscriber: Xiplus.Apr 10 2020, 2:11 AM

Today (may 9th, so 5 weeks later), PAWS was updated. It works again tgouth.
The "sleeping" message you will see every now and then. It happens when the lag on the replication servers is too big (recently like half of the day, can take an hour or more to resolve). See https://grafana.wikimedia.org/d/000000489/wikidata-query-service?panelId=8&fullscreen&orgId=1 for the current replication-status.

There is a workaround, if you open a terminal (new->terminal) you can edit the settings file:
nano /srv/paws/user-config.py
and add a line with
maxlag=999

Unfortunately the life time of this settings is your current session, and till now I have not really seen it working well yet.

Edoderoo closed this task as Resolved.May 9 2020, 6:53 PM